package com.futu.goose.course.controller;

import afu.org.checkerframework.checker.igj.qual.I;
import com.futu.goose.course.pojo.Course;
import com.futu.goose.course.service.CourseService;
import com.futu.goose.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/course")
public class CourseController {
    @Autowired
    private CourseService courseService;

    /**
     * 课程查询
     * @return
     */
    @RequestMapping("/listcourse")
    public Result listcourse() {
      List<Course> courseList= courseService.listcourse();
        return new Result(true, "查询成功", courseList);
    }

    /**
     * 搜索
     * @param title
     * @return
     */
    @RequestMapping("selectes")
    public Result selectes(@RequestParam("title") String title) {
        return courseService.selectes(title);
    }

    /**
     * 添加课程
     * @param course
     * @return
     */
    @PostMapping("/addcourse")
    public Result addCourse(@RequestBody Course course) {
        return courseService.addCourse(course);
    }
}
