package com.futu.goose.course.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.goose.course.pojo.Course;
import com.futu.goose.course.service.CourseService;
import com.futu.goose.course.mapper.CourseMapper;
import com.futu.goose.utils.EsSyncUtils;
import com.futu.goose.utils.Result;
import org.apache.lucene.analysis.snowball.SnowballFilter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 张大宇
* @description 针对表【course(课程表)】的数据库操作Service实现
* @createDate 2025-05-11 20:03:09
*/
@Service
public class CourseServiceImpl extends ServiceImpl<CourseMapper, Course>
    implements CourseService{
    @Autowired
    private CourseMapper courseMapper;
    @Autowired
    private EsSyncUtils esSyncUtils;
    @Override
    public List<Course> listcourse() {

        esSyncUtils.syncDataToEs(courseMapper,"course");
       return courseMapper.selectList(null);
    }

    @Override
    public Result selectes(String title) {
        return esSyncUtils.searchDataByIndexAndName("course",title);
    }

    @Override
    public Result addCourse(Course course) {
        courseMapper.insert(course);
        return new Result(true,"添加成功");
    }
}




