package com.futu.goose.store.controller;

import com.futu.goose.store.pojo.Shop;
import com.futu.goose.store.service.ShopService;
import com.futu.goose.utils.RedisClient;
import com.futu.goose.utils.Result;
import com.futu.goose.utils.SnowflakeIdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/shop")
public class ShopController {
    @Autowired
    private ShopService shopService;
    @Autowired
    private RedisClient redisClient;

    /**
     * 商铺列表
     * @param shopName
     * @return
     */
    @RequestMapping("fontShopbyshopName")
    public Result fontShopbyshopName(@RequestParam("shopName") String shopName){
     return shopService.fontShopbyshopName(shopName);
    }

    /**
     * 添加新商铺
     * @param shop
     * @return
     */
    @RequestMapping("addshop")
    public Result addshop(@RequestBody Shop shop){
        shop.setUserId((Long) redisClient.get("uid"));
        shopService.addshop(shop);
    return new Result(true,"添加成功");
    }
}
