package com.futu.goose.store.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.goose.store.pojo.Shop;
import com.futu.goose.store.service.ShopService;
import com.futu.goose.store.mapper.ShopMapper;
import com.futu.goose.utils.Result;
import com.futu.goose.utils.SnowflakeIdGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 张大宇
* @description 针对表【shop(售课系统店铺表)】的数据库操作Service实现
* @createDate 2025-05-12 10:25:17
*/
@Service
public class ShopServiceImpl extends ServiceImpl<ShopMapper, Shop>
    implements ShopService{
    @Autowired
    private ShopMapper shopMapper;
    @Override
    public Result fontShopbyshopName(String shopName) {
        QueryWrapper<Shop> wrapper = new QueryWrapper<>();
        if (shopName==null){
            List<Shop> shops = shopMapper.selectList(null);
            return new Result(true,"查询成功",shops);
        }
        List<Shop> shops = shopMapper.selectList(wrapper.lambda().like(Shop::getShopName, shopName));
        return new Result(true,"查询成功",shops);
    }

    @Override
    public void addshop(Shop shop) {
        try {
            Long snowId = SnowflakeIdGenerator.getSnowId();
            shop.setShopId(snowId);
            shopMapper.insert(shop);
        }catch (Exception e){
            e.printStackTrace();
            throw new RuntimeException("添加失败");
        }

    }
}




